use dagger_rust::{build::RustVersion, test::RustTest};

#[tokio::main]
pub async fn main() -> eyre::Result<()> {
    dagger_sdk::connect(|client| async move {
        RustTest::new(client.clone())
            .test(
                Some("testdata"),
                RustVersion::Nightly,
                &["crates/*"],
                &["openssl"],
            )
            .await?;

        Ok(())
    })
    .await?;

    Ok(())
}
